#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 th-expand-syns
version:              0.4.9.0
visibility:           public
id:                   th-expand-syns-0.4.9.0-DInH255rlzqI0dRHh0bzTW
key:                  th-expand-syns-0.4.9.0-DInH255rlzqI0dRHh0bzTW
license:              BSD-3-Clause
maintainer:           Ryan Scott <ryan.gl.scott@gmail.com>
author:               Daniel Schüssler
homepage:             https://github.com/DanielSchuessler/th-expand-syns
synopsis:             Expands type synonyms in Template Haskell ASTs
description:
    Expands type synonyms in Template Haskell ASTs.

    As of version @0.4.9.0@, this library is a small shim on
    top of the @applySubstitution@/@resolveTypeSynonyms@
    functions from @th-abstraction@, so you may want to
    consider using @th-abstraction@ instead.

category:             Template Haskell
abi:                  fd8e4cb981f226cf75591782f15515b4
exposed:              True
exposed-modules:      Language.Haskell.TH.ExpandSyns
hidden-modules:       Language.Haskell.TH.ExpandSyns.SemigroupCompat
import-dirs:          /usr/lib/ghc-9.0.2/site-local/th-expand-syns-0.4.9.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/th-expand-syns-0.4.9.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-th-expand-syns
hs-libraries:         HSth-expand-syns-0.4.9.0-DInH255rlzqI0dRHh0bzTW
depends:
    base-4.15.1.0 containers-0.6.4.1 syb-0.7.2.1-9qjN5XOwl6U4K3t2Rmrb6z
    template-haskell-2.17.0.0
    th-abstraction-0.4.3.0-KTsBdnGbxBE1GYg4VOLAou

haddock-interfaces:
    /usr/share/doc/haskell-th-expand-syns/html/th-expand-syns.haddock

haddock-html:         /usr/share/doc/haskell-th-expand-syns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

